ne_shave
Prev | neon API reference | Next

## Name

ne_shave — trim whitespace from a string

## Synopsis

    #include <ne_string.h>

`char *ne_shave(` | char *str,
| const char *whitespace`)`;

## Description

`ne_shave` returns a portion of `str` with any leading or trailing characters in the `whitespace` array removed. `str` may be modified. Note that the return value may not be equal to `str`.

## Examples

The following code segment will output `"fish"`:

    char s[] = ".!.fish!.!";
    puts(ne_shave(s, ".!"));

Prev | Up | Next
ne_set_server_auth | Home | ne_sock_init